package com.xylink.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.io.Serializable;
import java.util.List;

/**
 * Created by mlz on 12/12/2016.
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class MeetingStatus implements Serializable {
    private String meetingRoomNumber;
    private String meetingId;
    private String meetingName;
    private int mode = 0;
    private Device mainVenue;
    private Device mainImage;
    private List<DeviceStatus> deviceStatusList;
    private List<Device>handUpList;
    private Device recordingDevice;
    private Device contentDevice;
    private Device whiteBoardDevice;
    private boolean forceMute;
    private boolean locked;
    private boolean superviseMode;
    private List<DeviceStatus> unReceiveAudioDeviceList;
    public String getMeetingRoomNumber() {
        return meetingRoomNumber;
    }

    public void setMeetingRoomNumber(String meetingRoomNumber) {
        this.meetingRoomNumber = meetingRoomNumber;
    }

    public int getMode() {
        return mode;
    }

    public void setMode(int mode) {
        this.mode = mode;
    }

    public List<DeviceStatus> getDeviceStatusList() {
        return deviceStatusList;
    }

    public void setDeviceStatusList(List<DeviceStatus> deviceStatusList) {
        this.deviceStatusList = deviceStatusList;
    }

    public List<Device> getHandUpList() {
        return handUpList;
    }

    public void setHandUpList(List<Device> handUpList) {
        this.handUpList = handUpList;
    }

    public void setMainVenue(Device mainVenue) {
        this.mainVenue = mainVenue;
    }

    public Device getMainVenue() {
        return mainVenue;
    }

    public Device getMainImage() {
        return mainImage;
    }

    public void setMainImage(Device mainImage) {
        this.mainImage = mainImage;
    }

    public String getMeetingName() {
        return meetingName;
    }

    public void setMeetingName(String meetingName) {
        this.meetingName = meetingName;
    }

    public String getMeetingId() {
        return meetingId;
    }

    public void setMeetingId(String meetingId) {
        this.meetingId = meetingId;
    }

    public Device getRecordingDevice() {
        return recordingDevice;
    }

    public void setRecordingDevice(Device recordingDevice) {
        this.recordingDevice = recordingDevice;
    }

    public Device getContentDevice() {
        return contentDevice;
    }

    public void setContentDevice(Device contentDevice) {
        this.contentDevice = contentDevice;
    }

    public Device getWhiteBoardDevice() {
        return whiteBoardDevice;
    }

    public void setWhiteBoardDevice(Device whiteBoardDevice) {
        this.whiteBoardDevice = whiteBoardDevice;
    }

    public boolean isForceMute() {
        return forceMute;
    }

    public void setForceMute(boolean forceMute) {
        this.forceMute = forceMute;
    }

    public boolean isLocked() {
        return locked;
    }

    public void setLocked(boolean locked) {
        this.locked = locked;
    }

    public boolean isSuperviseMode() {
        return superviseMode;
    }

    public void setSuperviseMode(boolean superviseMode) {
        this.superviseMode = superviseMode;
    }

    public List<DeviceStatus> getUnReceiveAudioDeviceList() {
        return unReceiveAudioDeviceList;
    }

    public void setUnReceiveAudioDeviceList(List<DeviceStatus> unReceiveAudioDeviceList) {
        this.unReceiveAudioDeviceList = unReceiveAudioDeviceList;
    }

    @Override
    public String toString() {
        return "{\"MeetingStatus\":{"
                + "\"meetingRoomNumber\":\""
                + meetingRoomNumber + '\"'
                + ",\"meetingId\":\""
                + meetingId + '\"'
                + ",\"meetingName\":\""
                + meetingName + '\"'
                + ",\"mode\":"
                + mode
                + ",\"mainVenue\":"
                + mainVenue
                + ",\"mainImage\":"
                + mainImage
                + ",\"deviceStatusList\":"
                + deviceStatusList
                + ",\"handUpList\":"
                + handUpList
                + ",\"recordingDevice\":"
                + recordingDevice
                + ",\"contentDevice\":"
                + contentDevice
                + ",\"whiteBoardDevice\":"
                + whiteBoardDevice
                + ",\"forceMute\":"
                + forceMute
                + ",\"locked\":"
                + locked
                + ",\"superviseMode\":"
                + superviseMode
                + ",\"unReceiveAudioDeviceList\":"
                + unReceiveAudioDeviceList
                + "}}";
    }
}
