package com.xylink.sdk.test;

import com.xylink.config.SDKConfigMgr;
import com.xylink.model.ExternalLoginRequest;
import com.xylink.sdk.user.UserValidateApi;
import com.xylink.sdk.vod.VodApi;
import com.xylink.util.AES256Util;
import com.xylink.util.Result;
import org.junit.BeforeClass;
import org.junit.Test;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;

import static org.junit.Assert.fail;

/**
 * Created with IntelliJ IDEA.
 * Description:
 * User: gzm
 * Date: 2018-12-11
 */
public class VodTest extends EnterpriseConfig{


    @Test
    public void videoDownload() {

        VodApi vodApi = new VodApi();
        try {
            vodApi.videoDownload(enterpriseId, token, "2986993");
        } catch (IOException e) {
            fail(e.getMessage());
        }
    }

    @Test
    public void getVodThumbnailurl() {
        VodApi vodApi = new VodApi();
        try {
            Result result = vodApi.getVodThumbnailurl(enterpriseId, token, "2215036");
            System.out.println(result);
        } catch (IOException e) {
            fail(e.getMessage());
        }
    }


    @Test
    public void getMeetingRoomVods() {
        VodApi vodApi = new VodApi();
        try {
            Result result = vodApi.getMeetingRoomVods(enterpriseId,token,"910024954537",0l,System.currentTimeMillis());
            System.out.println(result);
        } catch (IOException e) {
            fail(e.getMessage());
        }
    }

    @Test
    public void getDownloadurl() throws IOException {
        String vodId = "5985718";
        VodApi vodApi = new VodApi();
        Result result = vodApi.getDownloadurl(enterpriseId, token, vodId);
        System.out.println(result);
    }

}
