package com.xylink.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * Created with IntelliJ IDEA.
 * Description:
 * User: gzm
 * Date: 2018-11-12
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class SdkMiniProgramTokenRespondsModel {

    /**
     * appId : xx-xx-cc
     * userName : 2222
     * token : fffxxxxx
     * expire_time : 1541418413000
     */

    private String appId;
    private String userName;
    private String token;
    private long expireTime;

    public SdkMiniProgramTokenRespondsModel() {
    }

    public SdkMiniProgramTokenRespondsModel(String appId, String userName, String token, long expireTime) {
        this.appId = appId;
        this.userName = userName;
        this.token = token;
        this.expireTime = expireTime;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public long getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(long expireTime) {
        this.expireTime = expireTime;
    }

    @Override
    public String toString() {
        return "SdkMiniProgramTokenRespondsModel{" +
                "appId='" + appId + '\'' +
                ", userName='" + userName + '\'' +
                ", token='" + token + '\'' +
                ", expireTime=" + expireTime +
                '}';
    }
}
